Vsan Site Maintenance System Vsan Exit Site Maintenance Mode

Vsan Site Maintenance System Vsan Exit Site Maintenance Mode
Exit the fault domain maintenance mode.

Exit the fault domain maintenance mode.

This operation exits the maintenance mode for all hosts in the specified fault domain. The objects will start the data resync during the host exit maintenance workflow. When the exit maintenance mode operation is successful, users can enable the intended workloads.

Required privileges: Host.Config.Storage

Request
URI
POST
https://{vcenter-host}/sdk/vim25/{release}/vsan/VsanSiteMaintenanceSystem/{moId}/VsanExitSiteMaintenanceMode
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the method attaches; the serialized managed object reference for a request has the form moType/moId, in this case VsanSiteMaintenanceSystem/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Request Body
VsanExitSiteMaintenanceModeRequestType of type(s) application/json
Required

Show optional properties

{
    "faultDomainName": "string",
    "cluster": {}
}
{
    "faultDomainName": "string",
    "cluster": {
        "_typeName": "string",
        "type": "string",
        "value": "string"
    }
}
string
faultDomainName
Required

The fault domain name to exit maintenance mode.

cluster
Required

The cluster containing the fault domain to exit maintenance mode.

Authentication
This operation uses the following authentication methods.
Responses
200

the task tracking the exit fault domain maintenance mode workflow.

Returns MoRefTask of type(s) application/json
This response body class contains all of the following: MoRefExtensibleManagedObject
{
    "_typeName": "string",
    "type": "string",
    "value": "string"
}

500

VsanFault: If any runtime error is hit.

Returns VsanFault of type(s) application/json
This response body class contains all of the following: VimFault
{
    "_typeName": "string",
    "faultCause": {
        "_typeName": "string",
        "faultCause": "MethodFault Object",
        "faultMessage": [
            {
                "_typeName": "string",
                "key": "string",
                "arg": [
                    {
                        "_typeName": "string",
                        "key": "string",
                        "value": {
                            "_typeName": "string"
                        }
                    }
                ],
                "message": "string"
            }
        ]
    },
    "faultMessage": [
        {
            "_typeName": "string",
            "key": "string",
            "arg": [
                {
                    "_typeName": "string",
                    "key": "string",
                    "value": {
                        "_typeName": "string"
                    }
                }
            ],
            "message": "string"
        }
    ]
}

Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"faultDomainName":"string","cluster":"{}"}' https://{api_host}/sdk/vim25/{release}/vsan/VsanSiteMaintenanceSystem/{moId}/VsanExitSiteMaintenanceMode